| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::StartTime Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for precedence::StartTime:
[legend]
Collaboration diagram for precedence::StartTime:
[legend]

## Public Member Functions
| StartTime (SmartIF< ITimelineSvc > timelineSvc)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &) const
std::string | operator() (const DataProps &) const

## Public Attributes
SmartIF< ITimelineSvc > | m_timelineSvc

## Detailed Description

Definition at line 213 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::StartTime::StartTime | ( | SmartIF< ITimelineSvc > | timelineSvc | ) |
| inline

Definition at line 214 of file PrecedenceRulesGraph.h.

214 : m_timelineSvc( timelineSvc ) {}
precedence::StartTime::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:237

## Member Function Documentation

std::string precedence::StartTime::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 216 of file PrecedenceRulesGraph.h.

217 {
218
219 std::string startTime = "UKNOWN";
220
221 if ( m_timelineSvc.isValid() ) {
222
223 TimelineEvent te{};
224 te.algorithm = props.m_name;
225 m_timelineSvc->getTimelineEvent( te );
226 startTime = std::to_string(
227 std::chrono::duration_cast<std::chrono::nanoseconds>( te.start.time_since_epoch() ).count() );
228 }
229
230 return startTime;
231 }
std::to_string
T to_string(T...args)
TimelineEvent::algorithm
std::string algorithm
Definition: ITimelineSvc.h:18
TimelineEvent
Definition: ITimelineSvc.h:13
precedence::StartTime::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:237
std::string
STL class.
ITimelineSvc::getTimelineEvent
virtual void getTimelineEvent(TimelineEvent &) const =0
std::count
T count(T...args)
SmartIF::isValid
bool isValid() const
Allow for check if smart pointer is valid.
Definition: SmartIF.h:68

std::string precedence::StartTime::operator() | ( | const DecisionHubProps & |  | ) | const
| inline

Definition at line 233 of file PrecedenceRulesGraph.h.

233 { return ""; }

std::string precedence::StartTime::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 235 of file PrecedenceRulesGraph.h.

235 { return ""; }

## Member Data Documentation

SmartIF<ITimelineSvc> precedence::StartTime::m_timelineSvc

Definition at line 237 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h